Skip to main content
POST
/
v1
/
external
/
campaigns
/
{agent_id}
/
{campaign_id}
/
cancel
cURL
curl --request POST \
  --url https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}/cancel \
  --header 'X-API-Key: <api-key>'
{
  "message": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_name": "<string>",
    "retry_config": {
      "max_retries": 2,
      "retry_delay_minutes": 30,
      "retry_on": [
        "UNANSWERED",
        "REJECTED",
        "VOICEMAIL"
      ]
    },
    "call_stats": {
      "total": 123,
      "finished": 123,
      "pending": 123,
      "unanswered": 123,
      "failed": 123,
      "total_duration": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

Your unique organization API key. Required on all requests.

Path Parameters

agent_id
string<uuid>
required

The UUID of the AI agent that owns the campaign.

campaign_id
string<uuid>
required

The UUID of the campaign.

Response

Campaign cancelled successfully

message
string
required
data
object
required